#
# spec file for package wodim (Version 1.1.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 cmake coreutils cpio cpp cpp42 cracklib curl-ca-bundle cvs diffutils file file-devel filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libcap libcap-devel libcurl4 libdb-4_5 libexpat1 libgcc42 libgomp42 libidn libltdl-3 libmudflap42 libopenssl0_9_8 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt resmgr rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel

Name:           wodim
BuildRequires:  cmake file-devel gcc-c++ libcap-devel libstdc++-devel 
%if 0%{?suse_version} >= 0 && 0%{?suse_version} <= 1100 
BuildRequires:	resmgr
%endif
License:        GPL v2 or later, This software is under GPL but you should read the following clarifications:
Group:          Productivity/Multimedia/CD/Record
PreReq:         permissions
AutoReqProv:    on
Version:        1.1.9
Release:        24.10
Source0:        cdrkit-%{version}.tar.bz2
Source1:        scan_scsi.linux
Source2:        cdinfo.c
Source5:        README.SUSE
Url:            http://cdrkit.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Tool for Writing CDRs

%description
wodim is used to record data or audio CDs on a CD-Recorder or to write
DVD media on a DVD-Recorder.



Authors:
--------
    Joerg Jaspert (leader, release management)
    Eduard Bloch (developer, patch integration)
    Steve McIntyre (developer)
    Peter Samuelson (developer, QA)
    Christian Fromme (QA)
    Joerg Schilling (original cdrecord)

%debug_package
%package devel
Summary:        Tool for writing CDRs - files mandatory for development
Group:          Productivity/Multimedia/CD/Record
Provides:       cdrecord-devel
Obsoletes:      cdrecord-devel

%description devel
This package contains cdrkit libraries.



Authors:
--------
    Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>

%package -n cdrkit-cdrtools-compat
Summary:        Tool for Writing CDRs - cdrtools compatibility package
Group:          Productivity/Multimedia/CD/Record
Requires:       wodim genisoimage icedax
Provides:       cdrecord
Obsoletes:      cdrecord
Provides:       cdda2wav
Obsoletes:      cdda2wav
Provides:       mkisofs
Obsoletes:      mkisofs

%description -n cdrkit-cdrtools-compat
This package contains these compatibility symlinks: cdrecord -> wodim
mkisofs -> genisoimage cdda2wav -> icedax

Install this package if you can't use the cdrkit programs directly.



Authors:
--------
    Joerg Jaspert (leader, release management)
    Eduard Bloch (developer, patch integration)
    Steve McIntyre (developer)
    Peter Samuelson (developer, QA)
    Christian Fromme (QA)
    Joerg Schilling (original cdrecord)

%package -n genisoimage
Summary:        A program for creating CDs in Linux
Group:          Productivity/Multimedia/CD/Record
Recommends:     zisofs-tools

%description -n genisoimage
Genisoimage is a pre-mastering program that generates an iso9660
filesystem. It takes a snapshot of a given directory tree, and
generates a binary image which corresponds to an iso9660 filesystem
that can be written to a block device.



Authors:
--------
    Eric Youngdale <eric@aib.com>
    H. Peter Anvin <hpa@yggdrasil.com>
    John Brezak <brezak@ch.hp.com>
    Paul Eggert <eggert@twinsun.com>
    Peter van der Veen <peterv@qnx.com>
    R.-D. Marzusch <marzusch@odiehh.hanse.de>

%package -n icedax
Summary:        A CD-Audio Grabbing tool
Group:          Productivity/Multimedia/CD/Grabbers

%description -n icedax
The common CD-audio grabbing tool for Linux. The sources are now
contained in the wodim source archive.



Authors:
--------
    Heiko <heiko@colossus.escape.de>

%prep
%setup -q -n cdrkit-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
cmake -DCMAKE_INSTALL_PREFIX=/usr 
make VERBOSE=1 MANDIR=share/man 
gcc $RPM_OPT_FLAGS %{S:2} -o cdinfo 
#cd mkisofs
#make apple_driver

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=share/man
#mkdir patch
#mv Linux.scsi-patch patch
install -d $RPM_BUILD_ROOT/usr/bin
install icedax/readmult \
        icedax/cdda2mp3 \
	icedax/cdda2mp3.new \
	icedax/inf2cdtext.pl \
	%{S:1} \
	cdinfo \
        $RPM_BUILD_ROOT/usr/bin
#
ln -sf wodim $RPM_BUILD_ROOT/usr/bin/cdrecord
ln -sf readom $RPM_BUILD_ROOT/usr/bin/readcd
ln -sf icedax $RPM_BUILD_ROOT/usr/bin/cdda2wav
ln -sf genisoimage $RPM_BUILD_ROOT/usr/bin/mkisofs
ln -sf icedax $RPM_BUILD_ROOT/usr/bin/list_audio_tracks
#
ln -sf wodim.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/cdrecord.1.gz
ln -sf readom.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/readcd.1.gz
ln -sf icedax.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/cdda2wav.1.gz
ln -sf genisoimage.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/mkisofs.1.gz
#
mv genisoimage/diag/README genisoimage/diag/README.diag
mkdir -p $RPM_BUILD_ROOT/usr/%_lib
install -m 644 libhfs_iso/libhfs_iso.a \
	       libparanoia/libparanoia.a \
	       libusal/libusal.a \
	       librols/librols.a \
	       libunls/libunls.a \
	       $RPM_BUILD_ROOT/usr/%_lib
rm -rf $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/include/wodim
cp -a include/*.h $RPM_BUILD_ROOT/usr/include/wodim
cp -a libusal/*.h $RPM_BUILD_ROOT/usr/include/wodim
cp -a libusal/usal $RPM_BUILD_ROOT/usr/include/wodim
cp -a xconfig.h $RPM_BUILD_ROOT/usr/include/wodim
install -m 755 3rd-party/geteltorito/geteltorito.pl $RPM_BUILD_ROOT/usr/bin/geteltorito
cp %{S:5} .
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/cdda2ogg.1
rm -f $RPM_BUILD_ROOT/%{_mandir}/man5/make*

%post
%run_permissions
if [ -f /etc/default/cdrecord -a ! -e /etc/wodim.conf ]; then 
  cp /etc/default/cdrecord /etc/wodim.conf
fi
%verifyscript
%verify_permissions -e /usr/bin/wodim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT INSTALL Changelog COPYING START TODO FORK
%doc doc/ANNOUNCEMENTs doc/READMEs
#%doc %{_mandir}/man1/cdrecord.1.gz
%doc %{_mandir}/man1/wodim.1.gz
#%doc %{_mandir}/man1/readcd.1.gz
%doc %{_mandir}/man1/readom.1.gz
#%doc %{_mandir}/man1/scgcheck.1.gz
%verify(not mode) %attr(755,root,root) /usr/bin/wodim
/usr/bin/readom
#/usr/bin/scgcheck
/usr/bin/cdinfo
#/usr/bin/skel
#%attr(0555,root,root)/usr/sbin/rscsi
%attr(0555,root,root)/usr/sbin/netscsid

%files devel
%defattr(-, root, root)
/usr/include/wodim
/usr/%{_lib}/lib*.a

%files -n cdrkit-cdrtools-compat
%defattr(-, root, root)
#compatibilty symlinks:
/usr/bin/mkisofs
/usr/bin/cdda2wav
/usr/bin/cdrecord
/usr/bin/readcd
%doc %{_mandir}/man1/cdrecord.1.gz
%doc %{_mandir}/man1/readcd.1.gz
%doc %{_mandir}/man1/cdda2wav.1.gz
%doc %{_mandir}/man1/mkisofs.1.gz

%files -n genisoimage
%defattr(-, root, root)
%doc doc/genisoimage/* 3rd-party/geteltorito/README.geteltorito
%doc %{_mandir}/man1/devdump.1.gz
%doc %{_mandir}/man1/dirsplit.1.gz
%doc %{_mandir}/man1/genisoimage.1.gz
%doc %{_mandir}/man1/isodebug.1.gz
%doc %{_mandir}/man1/isodump.1.gz
%doc %{_mandir}/man1/isoinfo.1.gz
%doc %{_mandir}/man1/isovfy.1.gz
%doc %{_mandir}/man5/genisoimagerc.5.gz
/usr/bin/genisoimage
#/usr/bin/mkhybrid
/usr/bin/isoinfo
/usr/bin/devdump
/usr/bin/isodump
/usr/bin/isovfy
#/usr/bin/apple_driver
/usr/bin/isodebug
/usr/bin/dirsplit
/usr/bin/geteltorito

%files -n icedax
%defattr(-, root, root)
%doc doc/icedax/*
#%doc %{_mandir}/man1/cdda2wav.1.gz
%doc %{_mandir}/man1/icedax.1.gz
%doc %{_mandir}/man1/pitchplay.1.gz
%doc %{_mandir}/man1/readmult.1.gz
%doc %{_mandir}/man1/list_audio_tracks.1.gz
/usr/bin/readmult
/usr/bin/pitchplay
/usr/bin/scan_scsi.linux
/usr/bin/cdda2mp3
/usr/bin/cdda2ogg
/usr/bin/cdda2mp3.new
/usr/bin/icedax
/usr/bin/inf2cdtext.pl
/usr/bin/list_audio_tracks
%changelog
* Thu May 08 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 1.1.7.1:
  * Re-spin the 1.1.7 release with a few silly release process errors fixed.
  * lots of fixes to prevent gcc warnings
  * Fix for Joliet directory length bug in genisoimage
  * wodim.1: small fixes.
  * genisoimage/jte.c: add support for bzip2-compressed templates
  * genisoimage/jte.c: fix bzip2-compressed template data to be
    compatible with jigdo.
  * genisoimage/jte.c: fix exclude list handling.
  * genisoimage/checksum.[ch]: Add a generic infrastructure for
    checksums so we can use sha1/<whatever> as well as just
    md5sum. Will make things much faster for generating sha1sums for
    images and jigdos.
  * genisoimage/sha1.[ch]: Add GPL-licensed SHA1 implementation.
  * s/mkisofs/genisoimage/ in ABOUT
 
* Thu Jun 28 2007 - nadvornik@suse.cz
- updated to 1.1.6:
  * adding generic drive guessing
  * some bugfixes
* Thu May 03 2007 - nadvornik@suse.cz
- fixed crash on hidden boot catalog directory [#247950]
* Tue Apr 24 2007 - nadvornik@suse.cz
- update to cdrkit-1.1.5.1
  - experimental Large File Support with UDF filesystem
  - prefer /dev/scg if device is specified with b/t/l
* Thu Feb 08 2007 - nadvornik@suse.cz
- do not use icedax/md5c.c and icedax/md5.h [#240669]
* Mon Jan 22 2007 - nadvornik@suse.cz
- updated to cdrkit-1.1.2
  * many patches merged upstream
  * more programs was renamed:
  mkisofs -> genisoimage
  readcd -> readom
  cdda2wav -> icedax
  * 'wodim -devices' scans for all usable devices
- subpackages renamed respectively
- compatibility symlinks put to new cdrkit-cdrtools-compat package
* Mon Nov 27 2006 - nadvornik@suse.cz
- copy cdrecord config file on update [#221679]
* Thu Nov 16 2006 - nadvornik@suse.cz
- adjusted version strings of subpackages [#215621]
- changed location of config file [#221679]
* Fri Oct 06 2006 - nadvornik@suse.cz
- moved include files to /usr/include/wodim
* Tue Oct 03 2006 - nadvornik@suse.cz
- removed incorrect check for grown files [#207619]
- build with -DCLONE_WRITE [#209434]
* Thu Sep 21 2006 - nadvornik@suse.cz
- switched to cdrkit package, cdrecord is replaced by wodim
- UTF8, dvd and other patches are integrated in upstream
* Fri Sep 01 2006 - nadvornik@suse.cz
- use Recommends: zisofs-tools instead of Requires:
* Tue Aug 08 2006 - ro@suse.de
- define HZ to sysconf(_SC_CLK_TCK) if not defined
* Thu Mar 23 2006 - nadvornik@suse.cz
- updated feedback URL [#160326]
* Tue Feb 14 2006 - nadvornik@suse.cz
- do not try to redefine printf before including stdio.h
* Thu Feb 02 2006 - nadvornik@suse.cz
- removed confusing messages about the recommended interface
  and added README.SUSE [#147236]
- do not stop scanning on inaccessible devices [#144843, #147236]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - lnussel@suse.de
- restore original behavior of also enumerating sg devices when not
  running root (#141228)
* Mon Jan 02 2006 - nadvornik@suse.cz
- fixed dangerous compiler warnings
- added workaround for gcc.gnu.org/PR25639
* Tue Oct 11 2005 - nadvornik@suse.cz
- built with -fno-strict-aliasing again as new problems appeared
* Fri Aug 12 2005 - nadvornik@suse.cz
- patched mkisofs to fail on file > 4GB [#80583]
* Fri Apr 01 2005 - uli@suse.de
- fixed to build on ARM(v5tel)
* Tue Feb 08 2005 - nadvornik@suse.cz
- call mlockall only for getuid() == 0
* Mon Sep 13 2004 - nadvornik@suse.cz
- updated to final 2.01 [#43565]
- -fno-strict-aliasing is no longer required
* Tue Sep 07 2004 - nadvornik@suse.cz
- fixed possible problems in resmgr and iconv patches
- use generic_scsi interface as default for all devices in cdda2wav
* Mon Aug 23 2004 - nadvornik@suse.cz
- updated to 2.01a35 [#43565]
- DVD patch is applied to separate binary cdrecord-dvd
- dropped silo patch
- dropped the privacy patch, added note to mkisofs manpage instead [#33275]
- compiled with -fno-strict-aliasing to minimize needed patches
- fixed printing error messages from resmgr patch [#44024]
* Mon Apr 19 2004 - nadvornik@suse.cz
- fixed function return value
* Fri Apr 02 2004 - nadvornik@suse.cz
- changed some strings from 8859-1 to UTF-8 [37840]
  a better fix would be either use only ascii characters or use locale
* Fri Mar 26 2004 - nadvornik@suse.cz
- do not scan ATA devices if no scsi devices are found, because
  the output would be confusing [#37081]
- fixed return value from fixate_mdvd
* Mon Mar 08 2004 - nadvornik@suse.cz
- updated to 2.01a27
  - chrp-boot patch is integrated in mainstream
  - TAO mode should be explicitely specified by -tao
* Thu Feb 12 2004 - axboe@suse.de
- Kill silly Joerg warnings
- Add note about ATA being preferred over ATAPI
* Wed Feb 04 2004 - nadvornik@suse.cz
- added iconv patch to mkisofs [#34274]
- fixed scanning of ATA devices with resmgr
- fixed dangerous gcc warnings
* Thu Jan 29 2004 - nadvornik@suse.cz
- updated to 2.01a25
- updated dvd patch - DVD+RW support
- added geteltorito script to mkisofs package
- fixed information leak in mkisofs by using debian patch [#33275]
- fixed paride handling in resmgr patch [#29601]
- try to open device directly if resmgr fails
- built as non-root user
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Thu Oct 30 2003 - ro@suse.de
- package according to permissions.secure and call run_permissions
* Thu Sep 11 2003 - nadvornik@suse.cz
- added new resmgr patch with paride support from okir@suse.de [#29601]
* Wed Sep 10 2003 - nadvornik@suse.cz
- made the check for sequential recording silent
* Fri Sep 05 2003 - nadvornik@suse.cz
- fixed return value from getdisktype_mdvd
* Sun Aug 31 2003 - ro@suse.de
- create cdrecord-devel package and package libscg files
* Wed Aug 13 2003 - nadvornik@suse.cz
- updated to 2.01a18
- added patch for dvd support
* Mon Aug 11 2003 - nadvornik@suse.cz
- added chrp-boot patch
* Wed May 28 2003 - nadvornik@suse.cz
- remove/install unpackaged files from buildroot
* Mon Jan 13 2003 - nadvornik@suse.cz
- updated to 2.0 final
* Wed Dec 18 2002 - froh@suse.de
- re-enable cdda2wav on s390 (#22498)
* Tue Nov 05 2002 - okir@suse.de
- Proactive security patch: added resmgr support - cdrecord now
  performs a minimum of initialization as root, then drops privileges
  and uses resmgr to access device files.
* Thu Sep 26 2002 - nadvornik@suse.cz
- removed zisofs-tools, it is a separate package,
- mkisofs requires zisofs-tools
* Tue Sep 24 2002 - nadvornik@suse.cz
- updated to 1.11a34
  - a bug with cdrecord -fix has been fixed [#19853]
  - improved man page
  - other fixes and improvements
- added zisofs-tools for transparent compression
* Tue Sep 03 2002 - nadvornik@suse.cz
- added patch for format string security problem [#18756]
* Wed Jul 31 2002 - nadvornik@suse.cz
- updated to 1.11a28
  - cdrecord now writes MCN/ISRC even in RAW mode
* Fri Jul 26 2002 - nadvornik@suse.cz
- updated to 1.11a27:
  - DVD-Video support
* Wed Jul 10 2002 - meissner@suse.de
- add RULES link for ppc64, s390x.
* Tue May 14 2002 - ro@suse.de
- add RULES link for x86_64
* Tue Apr 30 2002 - uli@suse.de
- update -> 1.11a21 (fixes probs with xcdroast >=0.98alpha9)
* Fri Mar 01 2002 - nadvornik@suse.cz
- fixed man pages for isodump, devdump, isovfy [bug #14012]
* Tue Feb 26 2002 - nadvornik@suse.cz
- fixed "#!/bin/sh" line in cdda2mp3.new
* Mon Jan 21 2002 - nadvornik@suse.cz
- updated to 1.11a13:
  - new script inf2cdtext.pl for creating CD-text data
* Fri Dec 07 2001 - nadvornik@suse.cz
- updated to 1.11a12:
  - readcd: changed handling of Table of contents
  - mkisofs: first UDF support
* Tue Oct 30 2001 - uli@suse.de
- added patch from zisofs-tools allowing for creation of compressed
  ISO filesystems
* Mon Sep 03 2001 - nadvornik@suse.cz
- changed version string 1.11a06 -> 1.11.a06
* Tue Aug 14 2001 - nadvornik@suse.cz
- update to 1.11a06
* Thu Jul 12 2001 - nadvornik@suse.cz
- update to 1.11a05
- can be built with all kernels
* Mon Jun 18 2001 - schwab@suse.de
- Fix to compile.
* Thu Apr 26 2001 - ro@suse.de
- added config-dist.sh
* Fri Feb 09 2001 - ro@suse.de
- fixed to compile
* Fri Jan 19 2001 - kukuk@suse.de
- fix missing exit
* Fri Jan 19 2001 - kukuk@suse.de
- cdrecord should only be build on kernel 2.2
* Mon Dec 11 2000 - ro@suse.de
- fixed group typos
* Tue Oct 17 2000 - bk@suse.de
- Use ppc-linux rules for s390.
* Mon Oct 09 2000 - smid@suse.cz
- New version 1.9
* Tue Sep 19 2000 - schwab@suse.de
- Use i586-linux rules for ia64.
- Add %%suse_update_config.
* Fri Jul 21 2000 - smid@suse.cz
- Merge patches for booting SPARCs/silo with version 1.8.1
* Wed Jun 07 2000 - cihlar@suse.cz
- Copyright tag fixed
* Wed May 31 2000 - cihlar@suse.cz
- update to version 1.8.1
* Fri Apr 07 2000 - smid@suse.cz
- buildroot added
* Fri Mar 24 2000 - kukuk@suse.de
- Merge patches for booting SPARCs/silo
* Sun Feb 20 2000 - bk@suse.de
- added link /usr/bin/list_audio_tracks -> cdda2wav (needed for cdda2mp3)
* Sun Feb 06 2000 - olh@suse.de
- update cdrecord to 1.8
  update mkhybrid to 1.12b5.4
  make apple_driver for bootable Mac CD's
* Thu Jan 13 2000 - ro@suse.de
- update to a40-3
* Mon Dec 20 1999 - ro@suse.de
- update to a35
* Mon Oct 18 1999 - ro@suse.de
- update to a30
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- now building mkhybrid with -fsigned-char (PPC)
* Mon Aug 09 1999 - ro@suse.de
- update to 1.8a24
* Mon Jul 12 1999 - ro@suse.de
- update to a23
* Tue Jun 01 1999 - ro@suse.de
- update to 1.8a22 (mkisofs-1.12b5)
* Fri Apr 09 1999 - ro@suse.de
- update to 1.8a20
* Mon Mar 08 1999 - ro@suse.de
- update to 1.8a19
* Mon Feb 15 1999 - ro@suse.de
- update to 1.8a17
- mkisofs and cdda2wav are built from same sources
* Tue Dec 01 1998 - ro@suse.de
- update to 1.8a13
* Mon Nov 02 1998 - ro@suse.de
- update to 1.6.1
* Mon Apr 20 1998 - ro@suse.de
- update to 1.6 final
* Tue Mar 03 1998 - ro@suse.de
- update to 1.6a9  includes new fifo code
* Wed Nov 12 1997 - ms@suse.de
- initial package for suse version 1.5
